/*     */ package com.jaspersoft.jasperserver.api.engine.scheduling.domain.jaxb;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.common.domain.jaxb.AbstractEnumXmlAdapter;
/*     */ import com.jaspersoft.jasperserver.api.common.domain.jaxb.NamedPropertyHolder;
/*     */ import java.util.HashSet;
/*     */ import java.util.Set;
/*     */ import javax.xml.bind.annotation.adapters.XmlAdapter;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OutputFormatXmlAdapter
/*     */   extends XmlAdapter<ReportJobOutputFormatsWrapper, Set<Byte>>
/*     */ {
/*     */   private static enum SupportedOutputFormat
/*     */     implements NamedPropertyHolder<Byte>
/*     */   {
/*  42 */     PDF(Byte.valueOf((byte)1)), 
/*  43 */     HTML(Byte.valueOf((byte)2)), 
/*  44 */     XLS(Byte.valueOf((byte)3)), 
/*  45 */     RTF(Byte.valueOf((byte)4)), 
/*  46 */     CSV(Byte.valueOf((byte)5)), 
/*  47 */     ODT(Byte.valueOf((byte)6)), 
/*  48 */     TXT(Byte.valueOf((byte)7)), 
/*  49 */     DOCX(Byte.valueOf((byte)8)), 
/*  50 */     ODS(Byte.valueOf((byte)9)), 
/*  51 */     XLSX(Byte.valueOf((byte)10)), 
/*  52 */     XLS_NOPAG(Byte.valueOf((byte)11)), 
/*  53 */     XLSX_NOPAG(Byte.valueOf((byte)12)), 
/*  54 */     DATA_SNAPSHOT(Byte.valueOf((byte)100)), 
/*  55 */     PPTX(Byte.valueOf((byte)14));
/*     */     
/*     */     private final Byte byteValue;
/*     */     
/*     */     private SupportedOutputFormat(Byte byteValue)
/*     */     {
/*  61 */       this.byteValue = byteValue;
/*     */     }
/*     */     
/*     */     public Byte getProperty()
/*     */     {
/*  66 */       return this.byteValue;
/*     */     }
/*     */   }
/*     */   
/*     */   public Set<Byte> unmarshal(ReportJobOutputFormatsWrapper v) throws Exception
/*     */   {
/*  72 */     Set<Byte> result = null;
/*  73 */     SingleOutputFormatAdapter adapter; if ((v != null) && (v.getFormats() != null) && (!v.getFormats().isEmpty())) {
/*  74 */       result = new HashSet();
/*  75 */       adapter = new SingleOutputFormatAdapter(null);
/*  76 */       for (String currentValue : v.getFormats()) {
/*  77 */         Byte currentByteValue = (Byte)adapter.unmarshal(currentValue);
/*  78 */         if (currentByteValue != null)
/*  79 */           result.add(currentByteValue);
/*     */       }
/*     */     }
/*  82 */     return result;
/*     */   }
/*     */   
/*     */   public ReportJobOutputFormatsWrapper marshal(Set<Byte> v) throws Exception
/*     */   {
/*  87 */     ReportJobOutputFormatsWrapper result = null;
/*  88 */     if ((v != null) && (!v.isEmpty())) {
/*  89 */       Set<String> set = new HashSet();
/*  90 */       SingleOutputFormatAdapter adapter = new SingleOutputFormatAdapter(null);
/*  91 */       for (Byte currentValue : v) {
/*  92 */         String currentStringValue = adapter.marshal(currentValue);
/*  93 */         if (currentStringValue != null)
/*  94 */           set.add(currentStringValue);
/*     */       }
/*  96 */       if (!set.isEmpty()) {
/*  97 */         result = new ReportJobOutputFormatsWrapper();
/*  98 */         result.setFormats(set);
/*     */       }
/*     */     }
/* 101 */     return result;
/*     */   }
/*     */   
/*     */   private class SingleOutputFormatAdapter extends AbstractEnumXmlAdapter<Byte> {
/*     */     private SingleOutputFormatAdapter() {}
/*     */     
/* 107 */     protected NamedPropertyHolder<Byte>[] getEnumConstantsArray() { return OutputFormatXmlAdapter.SupportedOutputFormat.values(); }
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-api-engine-6.0.jar!\com\jaspersoft\jasperserver\api\engine\scheduling\domain\jaxb\OutputFormatXmlAdapter.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */