/*     */ package com.jaspersoft.jasperserver.jaxrs.client.dto.jobs;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.dto.jobs.jaxb.adapters.NoTimezoneDateToStringXmlAdapter;
/*     */ import java.util.Date;
/*     */ import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class JobTrigger
/*     */ {
/*     */   public static final byte START_TYPE_NOW = 1;
/*     */   public static final byte START_TYPE_SCHEDULE = 2;
/*     */   private Long id;
/*     */   private Integer version;
/*     */   private String timezone;
/*     */   private String calendarName;
/*     */   private int startType;
/*     */   private Date startDate;
/*     */   private Date endDate;
/*     */   private Integer misfireInstruction;
/*     */   
/*     */   public Long getId()
/*     */   {
/*  58 */     return this.id;
/*     */   }
/*     */   
/*     */   public void setId(Long id) {
/*  62 */     this.id = id;
/*     */   }
/*     */   
/*     */   public Integer getVersion() {
/*  66 */     return this.version;
/*     */   }
/*     */   
/*     */   public void setVersion(Integer version) {
/*  70 */     this.version = version;
/*     */   }
/*     */   
/*     */   public String getTimezone() {
/*  74 */     return this.timezone;
/*     */   }
/*     */   
/*     */   public void setTimezone(String timezone) {
/*  78 */     this.timezone = timezone;
/*     */   }
/*     */   
/*     */   public String getCalendarName() {
/*  82 */     return this.calendarName;
/*     */   }
/*     */   
/*     */   public void setCalendarName(String calendarName) {
/*  86 */     this.calendarName = calendarName;
/*     */   }
/*     */   
/*     */   public int getStartType() {
/*  90 */     return this.startType;
/*     */   }
/*     */   
/*     */   public void setStartType(int startType) {
/*  94 */     this.startType = startType;
/*     */   }
/*     */   
/*     */   @XmlJavaTypeAdapter(NoTimezoneDateToStringXmlAdapter.class)
/*     */   public Date getStartDate() {
/*  99 */     return this.startDate;
/*     */   }
/*     */   
/*     */   public void setStartDate(Date startDate) {
/* 103 */     this.startDate = startDate;
/*     */   }
/*     */   
/*     */   @XmlJavaTypeAdapter(NoTimezoneDateToStringXmlAdapter.class)
/*     */   public Date getEndDate() {
/* 108 */     return this.endDate;
/*     */   }
/*     */   
/*     */   public void setEndDate(Date endDate) {
/* 112 */     this.endDate = endDate;
/*     */   }
/*     */   
/*     */   public Integer getMisfireInstruction() {
/* 116 */     return this.misfireInstruction;
/*     */   }
/*     */   
/*     */   public void setMisfireInstruction(Integer misfireInstruction) {
/* 120 */     this.misfireInstruction = misfireInstruction;
/*     */   }
/*     */   
/*     */   public boolean equals(Object o)
/*     */   {
/* 125 */     if (this == o) return true;
/* 126 */     if (!(o instanceof JobTrigger)) { return false;
/*     */     }
/* 128 */     JobTrigger trigger = (JobTrigger)o;
/*     */     
/* 130 */     if (this.startType != trigger.startType) return false;
/* 131 */     if (this.calendarName != null ? !this.calendarName.equals(trigger.calendarName) : trigger.calendarName != null)
/* 132 */       return false;
/* 133 */     if (this.endDate != null ? !this.endDate.equals(trigger.endDate) : trigger.endDate != null) return false;
/* 134 */     if (this.id != null ? !this.id.equals(trigger.id) : trigger.id != null) return false;
/* 135 */     if (this.misfireInstruction != null ? !this.misfireInstruction.equals(trigger.misfireInstruction) : trigger.misfireInstruction != null)
/* 136 */       return false;
/* 137 */     if (this.startDate != null ? !this.startDate.equals(trigger.startDate) : trigger.startDate != null) return false;
/* 138 */     if (this.timezone != null ? !this.timezone.equals(trigger.timezone) : trigger.timezone != null) return false;
/* 139 */     if (this.version != null ? !this.version.equals(trigger.version) : trigger.version != null) { return false;
/*     */     }
/* 141 */     return true;
/*     */   }
/*     */   
/*     */   public int hashCode()
/*     */   {
/* 146 */     int result = this.id != null ? this.id.hashCode() : 0;
/* 147 */     result = 31 * result + (this.version != null ? this.version.hashCode() : 0);
/* 148 */     result = 31 * result + (this.timezone != null ? this.timezone.hashCode() : 0);
/* 149 */     result = 31 * result + (this.calendarName != null ? this.calendarName.hashCode() : 0);
/* 150 */     result = 31 * result + this.startType;
/* 151 */     result = 31 * result + (this.startDate != null ? this.startDate.hashCode() : 0);
/* 152 */     result = 31 * result + (this.endDate != null ? this.endDate.hashCode() : 0);
/* 153 */     result = 31 * result + (this.misfireInstruction != null ? this.misfireInstruction.hashCode() : 0);
/* 154 */     return result;
/*     */   }
/*     */   
/*     */   public String toString()
/*     */   {
/* 159 */     return "JobTrigger{id=" + this.id + ", version=" + this.version + ", timezone='" + this.timezone + '\'' + ", calendarName='" + this.calendarName + '\'' + ", startType=" + this.startType + ", startDate='" + this.startDate + '\'' + ", endDate='" + this.endDate + '\'' + ", misfireInstruction=" + this.misfireInstruction + '}';
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\dto\jobs\JobTrigger.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */