/*     */ package com.jaspersoft.jasperserver.api.engine.scheduling.domain;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.JasperServerAPI;
/*     */ import java.io.Serializable;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @JasperServerAPI
/*     */ public class ReportJobRepositoryDestination
/*     */   implements Serializable
/*     */ {
/*     */   private static final long serialVersionUID = 1L;
/*     */   private long id;
/*  43 */   private int version = -1;
/*     */   private String folderURI;
/*     */   private boolean sequentialFilenames;
/*     */   private boolean overwriteFiles;
/*     */   private String outputDescription;
/*     */   private String timestampPattern;
/*  49 */   private boolean saveToRepository = true;
/*     */   private String defaultReportOutputFolderURI;
/*  51 */   private boolean usingDefaultReportOutputFolderURI = false;
/*  52 */   private String outputLocalFolder = null;
/*  53 */   private FTPInfo outputFTPInfo = null;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public ReportJobRepositoryDestination() {}
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public long getId()
/*     */   {
/*  72 */     return this.id;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setId(long id)
/*     */   {
/*  86 */     this.id = id;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int getVersion()
/*     */   {
/* 101 */     return this.version;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setVersion(int version)
/*     */   {
/* 116 */     this.version = version;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getFolderURI()
/*     */   {
/* 126 */     return this.folderURI;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setFolderURI(String folder)
/*     */   {
/* 141 */     this.folderURI = folder;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isSequentialFilenames()
/*     */   {
/* 159 */     return this.sequentialFilenames;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setSequentialFilenames(boolean sequentialFilenames)
/*     */   {
/* 175 */     this.sequentialFilenames = sequentialFilenames;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isOverwriteFiles()
/*     */   {
/* 193 */     return this.overwriteFiles;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOverwriteFiles(boolean overwriteFiles)
/*     */   {
/* 204 */     this.overwriteFiles = overwriteFiles;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getOutputDescription()
/*     */   {
/* 219 */     return this.outputDescription;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOutputDescription(String outputDescription)
/*     */   {
/* 229 */     this.outputDescription = outputDescription;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getTimestampPattern()
/*     */   {
/* 245 */     return this.timestampPattern;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setTimestampPattern(String timestampPattern)
/*     */   {
/* 263 */     this.timestampPattern = timestampPattern;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isSaveToRepository()
/*     */   {
/* 273 */     return this.saveToRepository;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setSaveToRepository(boolean saveToRepository)
/*     */   {
/* 284 */     this.saveToRepository = saveToRepository;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getDefaultReportOutputFolderURI()
/*     */   {
/* 295 */     return this.defaultReportOutputFolderURI;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setDefaultReportOutputFolderURI(String defaultReportOutputFolderURI)
/*     */   {
/* 306 */     this.defaultReportOutputFolderURI = defaultReportOutputFolderURI;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isUsingDefaultReportOutputFolderURI()
/*     */   {
/* 317 */     return this.usingDefaultReportOutputFolderURI;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setUsingDefaultReportOutputFolderURI(boolean usingDefaultReportOutputFolderURI)
/*     */   {
/* 328 */     this.usingDefaultReportOutputFolderURI = usingDefaultReportOutputFolderURI;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public ReportJobRepositoryDestination(ReportJobRepositoryDestination dest)
/*     */   {
/* 342 */     setId(dest.getId());
/* 343 */     setFolderURI(dest.getFolderURI());
/* 344 */     setSequentialFilenames(dest.isSequentialFilenames());
/* 345 */     setOverwriteFiles(dest.isOverwriteFiles());
/* 346 */     setOutputDescription(dest.getOutputDescription());
/* 347 */     setTimestampPattern(dest.getTimestampPattern());
/* 348 */     setSaveToRepository(dest.isSaveToRepository());
/* 349 */     setDefaultReportOutputFolderURI(dest.getDefaultReportOutputFolderURI());
/* 350 */     setUsingDefaultReportOutputFolderURI(dest.isUsingDefaultReportOutputFolderURI());
/* 351 */     setOutputLocalFolder(dest.getOutputLocalFolder());
/* 352 */     setOutputFTPInfo(new FTPInfo(dest.getOutputFTPInfo()));
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getOutputLocalFolder()
/*     */   {
/* 361 */     return this.outputLocalFolder;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOutputLocalFolder(String outputLocalFolder)
/*     */   {
/* 372 */     this.outputLocalFolder = outputLocalFolder;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public FTPInfo getOutputFTPInfo()
/*     */   {
/* 382 */     return this.outputFTPInfo;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOutputFTPInfo(FTPInfo outputFTPInfo)
/*     */   {
/* 393 */     this.outputFTPInfo = outputFTPInfo;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-api-engine-6.0.jar!\com\jaspersoft\jasperserver\api\engine\scheduling\domain\ReportJobRepositoryDestination.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */