/*     */ package com.jaspersoft.jasperserver.irplugin.gui.wizard;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ResourceDescriptor;
/*     */ import com.jaspersoft.jasperserver.irplugin.IRPlugin;
/*     */ import com.jaspersoft.jasperserver.irplugin.JServer;
/*     */ import com.jaspersoft.jasperserver.irplugin.gui.DataSourceDialog;
/*     */ import com.jaspersoft.jasperserver.irplugin.gui.QualityLabel;
/*     */ import com.jaspersoft.jasperserver.irplugin.gui.explorer.ResourceChooser;
/*     */ import com.jaspersoft.jasperserver.irplugin.wsclient.WSClient;
/*     */ import it.businesslogic.ireport.Report;
/*     */ import it.businesslogic.ireport.gui.MainFrame;
/*     */ import it.businesslogic.ireport.gui.wizard.BaseWizardPanel;
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Window;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.beans.PropertyChangeEvent;
/*     */ import java.io.File;
/*     */ import java.util.List;
/*     */ import java.util.Properties;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JComboBox;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JEditorPane;
/*     */ import javax.swing.JFileChooser;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JOptionPane;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JRadioButton;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JSeparator;
/*     */ import javax.swing.JTextField;
/*     */ import javax.swing.event.DocumentEvent;
/*     */ import javax.swing.event.DocumentListener;
/*     */ import javax.swing.filechooser.FileFilter;
/*     */ import javax.swing.text.Document;
/*     */ import javax.swing.text.JTextComponent;
/*     */ 
/*     */ public class NewReportUnitWizard extends JPanel implements it.businesslogic.ireport.gui.wizard.GenericWizard
/*     */ {
/*  51 */   private String reportFileName = null;
/*  52 */   private BaseWizardPanel wizardPanel = null;
/*  53 */   private JDialog wizardDialog = null;
/*     */   
/*  55 */   private JServer server = null;
/*  56 */   private String parentFolder = null;
/*     */   
/*  58 */   private ResourceDescriptor newResourceDescriptor = null;
/*  59 */   private ResourceDescriptor dataSourceDescriptor = null;
/*     */   private ButtonGroup buttonGroup1;
/*     */   private ButtonGroup buttonGroup2;
/*     */   private JButton jButtonBrowse;
/*     */   
/*  64 */   public NewReportUnitWizard() { initComponents();
/*     */     
/*  66 */     this.jTextFieldLabel.getDocument().addDocumentListener(new DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/*  68 */         if (NewReportUnitWizard.this.wizardPanel != null) NewReportUnitWizard.this.wizardPanel.updateButtons();
/*     */       }
/*     */       
/*  71 */       public void insertUpdate(DocumentEvent evt) { if (NewReportUnitWizard.this.wizardPanel != null) NewReportUnitWizard.this.wizardPanel.updateButtons();
/*     */       }
/*     */       
/*  74 */       public void removeUpdate(DocumentEvent evt) { if (NewReportUnitWizard.this.wizardPanel != null) { NewReportUnitWizard.this.wizardPanel.updateButtons();
/*     */         }
/*     */       }
/*  77 */     });
/*  78 */     this.jTextFieldName.getDocument().addDocumentListener(new DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/*  80 */         if (NewReportUnitWizard.this.wizardPanel != null) NewReportUnitWizard.this.wizardPanel.updateButtons();
/*     */       }
/*     */       
/*  83 */       public void insertUpdate(DocumentEvent evt) { if (NewReportUnitWizard.this.wizardPanel != null) NewReportUnitWizard.this.wizardPanel.updateButtons();
/*     */       }
/*     */       
/*  86 */       public void removeUpdate(DocumentEvent evt) { if (NewReportUnitWizard.this.wizardPanel != null) { NewReportUnitWizard.this.wizardPanel.updateButtons();
/*     */         }
/*     */       }
/*  89 */     });
/*  90 */     this.jTextFieldFile.getDocument().addDocumentListener(new DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/*  92 */         if (NewReportUnitWizard.this.wizardPanel != null) NewReportUnitWizard.this.wizardPanel.updateButtons();
/*     */       }
/*     */       
/*  95 */       public void insertUpdate(DocumentEvent evt) { if (NewReportUnitWizard.this.wizardPanel != null) NewReportUnitWizard.this.wizardPanel.updateButtons();
/*     */       }
/*     */       
/*  98 */       public void removeUpdate(DocumentEvent evt) { if (NewReportUnitWizard.this.wizardPanel != null) { NewReportUnitWizard.this.wizardPanel.updateButtons();
/*     */         }
/*     */       }
/*     */     });
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 116 */     if (!IRPlugin.getMainInstance().getBrandingProperties().getProperty("ireport.manage.datasources.enabled", "true").equals("true"))
/*     */     {
/* 118 */       this.jPanel2.removeAll();
/* 119 */       GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 120 */       gridBagConstraints.gridx = 0;
/* 121 */       gridBagConstraints.fill = 1;
/* 122 */       gridBagConstraints.weightx = 1.0D;
/* 123 */       gridBagConstraints.weighty = 1.0D;
/* 124 */       gridBagConstraints.insets = new Insets(8, 4, 30, 4);
/* 125 */       QualityLabel jlabel = new QualityLabel();
/* 126 */       jlabel.setText("<html><b>" + IRPlugin.getString("reportUnitDialog.useDefaultDatasource", "This server uses a default data source to run the reports and execute queries") + "</b></html>");
/* 127 */       this.jPanel2.add(jlabel, gridBagConstraints);
/*     */     }
/*     */     
/* 130 */     if (MainFrame.getMainInstance().getActiveReportFrame() == null)
/*     */     {
/* 132 */       this.jButtonGetCurrentReport.setEnabled(false); } }
/*     */   
/*     */   private JButton jButtonEditLocalDataSource;
/*     */   private JButton jButtonGetCurrentReport;
/*     */   private JButton jButtonPickJrxml;
/*     */   private JButton jButtonPickResource;
/* 138 */   public void startWizard() { this.wizardDialog = new JDialog(MainFrame.getMainInstance(), true);
/* 139 */     this.wizardPanel = new BaseWizardPanel();
/* 140 */     this.wizardPanel.setGenericWizard(this);
/* 141 */     this.wizardDialog.getContentPane().add(this.wizardPanel);
/* 142 */     this.wizardDialog.pack();
/* 143 */     this.jTextFieldName.requestFocusInWindow();
/* 144 */     it.businesslogic.ireport.util.Misc.centerFrame(this.wizardDialog);
/*     */     
/* 146 */     this.wizardDialog.setVisible(true);
/*     */   }
/*     */   
/*     */   private JComboBox jComboBoxDatasources;
/*     */   private JEditorPane jEditorPaneDescription;
/*     */   private JLabel jLabelDescription;
/*     */   private JLabel jLabelLabel;
/*     */   private JLabel jLabelName;
/*     */   private JLabel jLabelResourceFile;
/*     */   private JLabel jLabelResourceFile1;
/*     */   private void initComponents()
/*     */   {
/* 158 */     this.jPanel0 = new JPanel();
/* 159 */     this.jLabelUriString = new JLabel();
/* 160 */     this.jTextFieldUriString = new JTextField();
/* 161 */     this.jLabelName = new JLabel();
/* 162 */     this.jTextFieldName = new JTextField();
/* 163 */     this.jSeparator2 = new JSeparator();
/* 164 */     this.jLabelLabel = new JLabel();
/* 165 */     this.jTextFieldLabel = new JTextField();
/* 166 */     this.jLabelDescription = new JLabel();
/* 167 */     this.jScrollPane1 = new JScrollPane();
/* 168 */     this.jEditorPaneDescription = new JEditorPane();
/* 169 */     this.jPanel1 = new JPanel();
/* 170 */     this.jLabelResourceFile = new JLabel();
/* 171 */     this.jRadioButtonRepo1 = new JRadioButton();
/* 172 */     this.jTextFieldFileRepo = new JTextField();
/* 173 */     this.jButtonPickJrxml = new JButton();
/* 174 */     this.jRadioButtonLocal1 = new JRadioButton();
/* 175 */     this.jTextFieldFile = new JTextField();
/* 176 */     this.jButtonBrowse = new JButton();
/* 177 */     this.jButtonGetCurrentReport = new JButton();
/* 178 */     this.jPanel2 = new JPanel();
/* 179 */     this.jLabelResourceFile1 = new JLabel();
/* 180 */     this.jRadioButtonRepo = new JRadioButton();
/* 181 */     this.jComboBoxDatasources = new JComboBox();
/* 182 */     this.jButtonPickResource = new JButton();
/* 183 */     this.jRadioButtonLocal = new JRadioButton();
/* 184 */     this.jButtonEditLocalDataSource = new JButton();
/* 185 */     this.buttonGroup1 = new ButtonGroup();
/* 186 */     this.buttonGroup2 = new ButtonGroup();
/*     */     
/* 188 */     this.jPanel0.setLayout(new GridBagLayout());
/*     */     
/* 190 */     this.jPanel0.addPropertyChangeListener(new java.beans.PropertyChangeListener() {
/*     */       public void propertyChange(PropertyChangeEvent evt) {
/* 192 */         NewReportUnitWizard.this.jPanel0PropertyChange(evt);
/*     */       }
/*     */       
/* 195 */     });
/* 196 */     this.jLabelUriString.setText("Parent folder");
/* 197 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 198 */     gridBagConstraints.gridx = 0;
/* 199 */     gridBagConstraints.fill = 2;
/* 200 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 201 */     this.jPanel0.add(this.jLabelUriString, gridBagConstraints);
/*     */     
/* 203 */     this.jTextFieldUriString.setEditable(false);
/* 204 */     this.jTextFieldUriString.setBorder(BorderFactory.createEmptyBorder(1, 1, 1, 1));
/* 205 */     this.jTextFieldUriString.setOpaque(false);
/* 206 */     gridBagConstraints = new GridBagConstraints();
/* 207 */     gridBagConstraints.gridx = 1;
/* 208 */     gridBagConstraints.fill = 2;
/* 209 */     gridBagConstraints.weightx = 1.0D;
/* 210 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 211 */     this.jPanel0.add(this.jTextFieldUriString, gridBagConstraints);
/*     */     
/* 213 */     this.jLabelName.setText("Name");
/* 214 */     gridBagConstraints = new GridBagConstraints();
/* 215 */     gridBagConstraints.gridx = 0;
/* 216 */     gridBagConstraints.fill = 2;
/* 217 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 218 */     this.jPanel0.add(this.jLabelName, gridBagConstraints);
/*     */     
/* 220 */     gridBagConstraints = new GridBagConstraints();
/* 221 */     gridBagConstraints.gridx = 1;
/* 222 */     gridBagConstraints.fill = 2;
/* 223 */     gridBagConstraints.weightx = 1.0D;
/* 224 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 225 */     this.jPanel0.add(this.jTextFieldName, gridBagConstraints);
/*     */     
/* 227 */     this.jSeparator2.setMinimumSize(new Dimension(0, 2));
/* 228 */     gridBagConstraints = new GridBagConstraints();
/* 229 */     gridBagConstraints.gridx = 0;
/* 230 */     gridBagConstraints.gridwidth = 2;
/* 231 */     gridBagConstraints.fill = 2;
/* 232 */     gridBagConstraints.weightx = 1.0D;
/* 233 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 234 */     this.jPanel0.add(this.jSeparator2, gridBagConstraints);
/*     */     
/* 236 */     this.jLabelLabel.setText("Label");
/* 237 */     gridBagConstraints = new GridBagConstraints();
/* 238 */     gridBagConstraints.gridx = 0;
/* 239 */     gridBagConstraints.fill = 2;
/* 240 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 241 */     this.jPanel0.add(this.jLabelLabel, gridBagConstraints);
/*     */     
/* 243 */     gridBagConstraints = new GridBagConstraints();
/* 244 */     gridBagConstraints.gridx = 1;
/* 245 */     gridBagConstraints.fill = 2;
/* 246 */     gridBagConstraints.weightx = 1.0D;
/* 247 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 248 */     this.jPanel0.add(this.jTextFieldLabel, gridBagConstraints);
/*     */     
/* 250 */     this.jLabelDescription.setText("Description");
/* 251 */     gridBagConstraints = new GridBagConstraints();
/* 252 */     gridBagConstraints.gridx = 0;
/* 253 */     gridBagConstraints.fill = 2;
/* 254 */     gridBagConstraints.anchor = 11;
/* 255 */     gridBagConstraints.insets = new Insets(4, 4, 0, 4);
/* 256 */     this.jPanel0.add(this.jLabelDescription, gridBagConstraints);
/*     */     
/* 258 */     this.jScrollPane1.setViewportView(this.jEditorPaneDescription);
/*     */     
/* 260 */     gridBagConstraints = new GridBagConstraints();
/* 261 */     gridBagConstraints.gridx = 1;
/* 262 */     gridBagConstraints.fill = 1;
/* 263 */     gridBagConstraints.weightx = 1.0D;
/* 264 */     gridBagConstraints.weighty = 1.0D;
/* 265 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 266 */     this.jPanel0.add(this.jScrollPane1, gridBagConstraints);
/*     */     
/* 268 */     this.jPanel1.setLayout(new GridBagLayout());
/*     */     
/* 270 */     this.jLabelResourceFile.setText("Locate the main JRXML file");
/* 271 */     gridBagConstraints = new GridBagConstraints();
/* 272 */     gridBagConstraints.gridx = 0;
/* 273 */     gridBagConstraints.gridwidth = 4;
/* 274 */     gridBagConstraints.fill = 1;
/* 275 */     gridBagConstraints.anchor = 11;
/* 276 */     gridBagConstraints.insets = new Insets(8, 4, 20, 4);
/* 277 */     this.jPanel1.add(this.jLabelResourceFile, gridBagConstraints);
/*     */     
/* 279 */     this.buttonGroup1.add(this.jRadioButtonRepo1);
/* 280 */     this.jRadioButtonRepo1.setText("From the repository");
/* 281 */     this.jRadioButtonRepo1.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
/* 282 */     this.jRadioButtonRepo1.setMargin(new Insets(0, 0, 0, 0));
/* 283 */     this.jRadioButtonRepo1.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 285 */         NewReportUnitWizard.this.jRadioButtonRepo1jRadioButtonRepoActionPerformed1(evt);
/*     */       }
/*     */       
/* 288 */     });
/* 289 */     gridBagConstraints = new GridBagConstraints();
/* 290 */     gridBagConstraints.gridx = 0;
/* 291 */     gridBagConstraints.gridwidth = 2;
/* 292 */     gridBagConstraints.fill = 2;
/* 293 */     gridBagConstraints.weightx = 1.0D;
/* 294 */     gridBagConstraints.insets = new Insets(8, 8, 4, 4);
/* 295 */     this.jPanel1.add(this.jRadioButtonRepo1, gridBagConstraints);
/*     */     
/* 297 */     this.jTextFieldFileRepo.setEnabled(false);
/* 298 */     gridBagConstraints = new GridBagConstraints();
/* 299 */     gridBagConstraints.gridx = 0;
/* 300 */     gridBagConstraints.fill = 2;
/* 301 */     gridBagConstraints.weightx = 1.0D;
/* 302 */     gridBagConstraints.insets = new Insets(0, 30, 0, 0);
/* 303 */     this.jPanel1.add(this.jTextFieldFileRepo, gridBagConstraints);
/*     */     
/* 305 */     this.jButtonPickJrxml.setText("Browse");
/* 306 */     this.jButtonPickJrxml.setEnabled(false);
/* 307 */     this.jButtonPickJrxml.setMinimumSize(new Dimension(73, 21));
/* 308 */     this.jButtonPickJrxml.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 310 */         NewReportUnitWizard.this.jButtonPickJrxmljButton1ActionPerformed12(evt);
/*     */       }
/*     */       
/* 313 */     });
/* 314 */     gridBagConstraints = new GridBagConstraints();
/* 315 */     gridBagConstraints.gridy = 2;
/* 316 */     gridBagConstraints.insets = new Insets(0, 0, 0, 30);
/* 317 */     this.jPanel1.add(this.jButtonPickJrxml, gridBagConstraints);
/*     */     
/* 319 */     this.buttonGroup1.add(this.jRadioButtonLocal1);
/* 320 */     this.jRadioButtonLocal1.setSelected(true);
/* 321 */     this.jRadioButtonLocal1.setText("Locally Defined");
/* 322 */     this.jRadioButtonLocal1.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
/* 323 */     this.jRadioButtonLocal1.setMargin(new Insets(0, 0, 0, 0));
/* 324 */     this.jRadioButtonLocal1.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 326 */         NewReportUnitWizard.this.jRadioButtonLocal1jRadioButtonLocalActionPerformed1(evt);
/*     */       }
/*     */       
/* 329 */     });
/* 330 */     gridBagConstraints = new GridBagConstraints();
/* 331 */     gridBagConstraints.gridx = 0;
/* 332 */     gridBagConstraints.gridwidth = 2;
/* 333 */     gridBagConstraints.fill = 2;
/* 334 */     gridBagConstraints.weightx = 1.0D;
/* 335 */     gridBagConstraints.insets = new Insets(8, 8, 4, 4);
/* 336 */     this.jPanel1.add(this.jRadioButtonLocal1, gridBagConstraints);
/*     */     
/* 338 */     gridBagConstraints = new GridBagConstraints();
/* 339 */     gridBagConstraints.gridx = 0;
/* 340 */     gridBagConstraints.fill = 2;
/* 341 */     gridBagConstraints.weightx = 1.0D;
/* 342 */     gridBagConstraints.insets = new Insets(0, 30, 0, 0);
/* 343 */     this.jPanel1.add(this.jTextFieldFile, gridBagConstraints);
/*     */     
/* 345 */     this.jButtonBrowse.setText("Browse");
/* 346 */     this.jButtonBrowse.setMinimumSize(new Dimension(73, 21));
/* 347 */     this.jButtonBrowse.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 349 */         NewReportUnitWizard.this.jButtonBrowseActionPerformed1(evt);
/*     */       }
/*     */       
/* 352 */     });
/* 353 */     gridBagConstraints = new GridBagConstraints();
/* 354 */     gridBagConstraints.gridy = 4;
/* 355 */     gridBagConstraints.insets = new Insets(0, 0, 0, 30);
/* 356 */     this.jPanel1.add(this.jButtonBrowse, gridBagConstraints);
/*     */     
/* 358 */     this.jButtonGetCurrentReport.setText("Get source from current opened report");
/* 359 */     this.jButtonGetCurrentReport.setMinimumSize(new Dimension(73, 21));
/* 360 */     this.jButtonGetCurrentReport.setPreferredSize(new Dimension(219, 21));
/* 361 */     this.jButtonGetCurrentReport.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 363 */         NewReportUnitWizard.this.jButtonGetCurrentReportjButton1ActionPerformed11(evt);
/*     */       }
/*     */       
/* 366 */     });
/* 367 */     gridBagConstraints = new GridBagConstraints();
/* 368 */     gridBagConstraints.gridx = 0;
/* 369 */     gridBagConstraints.gridy = 5;
/* 370 */     gridBagConstraints.gridwidth = 2;
/* 371 */     gridBagConstraints.anchor = 18;
/* 372 */     gridBagConstraints.insets = new Insets(2, 30, 2, 4);
/* 373 */     this.jPanel1.add(this.jButtonGetCurrentReport, gridBagConstraints);
/*     */     
/* 375 */     this.jPanel2.setLayout(new GridBagLayout());
/*     */     
/* 377 */     this.jLabelResourceFile1.setText("Locate the Data Source");
/* 378 */     gridBagConstraints = new GridBagConstraints();
/* 379 */     gridBagConstraints.gridx = 0;
/* 380 */     gridBagConstraints.gridwidth = 4;
/* 381 */     gridBagConstraints.fill = 1;
/* 382 */     gridBagConstraints.anchor = 11;
/* 383 */     gridBagConstraints.insets = new Insets(8, 4, 20, 4);
/* 384 */     this.jPanel2.add(this.jLabelResourceFile1, gridBagConstraints);
/*     */     
/* 386 */     this.buttonGroup2.add(this.jRadioButtonRepo);
/* 387 */     this.jRadioButtonRepo.setText("From the repository");
/* 388 */     this.jRadioButtonRepo.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
/* 389 */     this.jRadioButtonRepo.setMargin(new Insets(0, 0, 0, 0));
/* 390 */     this.jRadioButtonRepo.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 392 */         NewReportUnitWizard.this.jRadioButtonRepo1jRadioButtonRepoActionPerformed11(evt);
/*     */       }
/*     */       
/* 395 */     });
/* 396 */     gridBagConstraints = new GridBagConstraints();
/* 397 */     gridBagConstraints.gridx = 0;
/* 398 */     gridBagConstraints.gridwidth = 2;
/* 399 */     gridBagConstraints.fill = 2;
/* 400 */     gridBagConstraints.weightx = 1.0D;
/* 401 */     gridBagConstraints.insets = new Insets(8, 8, 4, 4);
/* 402 */     this.jPanel2.add(this.jRadioButtonRepo, gridBagConstraints);
/*     */     
/* 404 */     this.jComboBoxDatasources.setEditable(true);
/* 405 */     this.jComboBoxDatasources.setEnabled(false);
/* 406 */     gridBagConstraints = new GridBagConstraints();
/* 407 */     gridBagConstraints.gridx = 0;
/* 408 */     gridBagConstraints.fill = 2;
/* 409 */     gridBagConstraints.weightx = 1.0D;
/* 410 */     gridBagConstraints.insets = new Insets(0, 30, 4, 2);
/* 411 */     this.jPanel2.add(this.jComboBoxDatasources, gridBagConstraints);
/*     */     
/* 413 */     this.jButtonPickResource.setText("Browse");
/* 414 */     this.jButtonPickResource.setEnabled(false);
/* 415 */     this.jButtonPickResource.setMinimumSize(new Dimension(73, 21));
/* 416 */     this.jButtonPickResource.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 418 */         NewReportUnitWizard.this.jButtonPickJrxmljButton1ActionPerformed121(evt);
/*     */       }
/*     */       
/* 421 */     });
/* 422 */     gridBagConstraints = new GridBagConstraints();
/* 423 */     gridBagConstraints.gridy = 2;
/* 424 */     gridBagConstraints.insets = new Insets(0, 0, 0, 30);
/* 425 */     this.jPanel2.add(this.jButtonPickResource, gridBagConstraints);
/*     */     
/* 427 */     this.buttonGroup2.add(this.jRadioButtonLocal);
/* 428 */     this.jRadioButtonLocal.setSelected(true);
/* 429 */     this.jRadioButtonLocal.setText("Locally Defined");
/* 430 */     this.jRadioButtonLocal.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
/* 431 */     this.jRadioButtonLocal.setMargin(new Insets(0, 0, 0, 0));
/* 432 */     this.jRadioButtonLocal.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 434 */         NewReportUnitWizard.this.jRadioButtonLocal1jRadioButtonLocalActionPerformed11(evt);
/*     */       }
/*     */       
/* 437 */     });
/* 438 */     gridBagConstraints = new GridBagConstraints();
/* 439 */     gridBagConstraints.gridx = 0;
/* 440 */     gridBagConstraints.gridwidth = 2;
/* 441 */     gridBagConstraints.fill = 2;
/* 442 */     gridBagConstraints.weightx = 1.0D;
/* 443 */     gridBagConstraints.insets = new Insets(8, 8, 4, 4);
/* 444 */     this.jPanel2.add(this.jRadioButtonLocal, gridBagConstraints);
/*     */     
/* 446 */     this.jButtonEditLocalDataSource.setText("Edit local datasource");
/* 447 */     this.jButtonEditLocalDataSource.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 449 */         NewReportUnitWizard.this.jButtonEditLocalDataSourceActionPerformed(evt);
/*     */       }
/*     */       
/* 452 */     });
/* 453 */     gridBagConstraints = new GridBagConstraints();
/* 454 */     gridBagConstraints.gridx = 0;
/* 455 */     gridBagConstraints.gridwidth = 2;
/* 456 */     gridBagConstraints.anchor = 18;
/* 457 */     gridBagConstraints.insets = new Insets(0, 30, 0, 0);
/* 458 */     this.jPanel2.add(this.jButtonEditLocalDataSource, gridBagConstraints);
/*     */     
/* 460 */     setLayout(new BorderLayout());
/*     */   }
/*     */   
/*     */   private void jButtonEditLocalDataSourceActionPerformed(ActionEvent evt)
/*     */   {
/* 465 */     DataSourceDialog dtd = new DataSourceDialog(MainFrame.getMainInstance(), true);
/* 466 */     dtd.setServer(getServer());
/* 467 */     dtd.setParentFolder(getParentFolder() + "/<dataSource>");
/* 468 */     dtd.setDoNotStore(true);
/* 469 */     if (this.dataSourceDescriptor != null) {
/* 470 */       dtd.setResource(this.dataSourceDescriptor);
/*     */     }
/*     */     
/* 473 */     dtd.setVisible(true);
/*     */     
/* 475 */     if (dtd.getDialogResult() == 0) {
/* 476 */       this.dataSourceDescriptor = dtd.getNewResourceDescriptor();
/*     */     }
/*     */   }
/*     */   
/*     */   private void jRadioButtonLocal1jRadioButtonLocalActionPerformed11(ActionEvent evt) {
/* 481 */     updateResourceFromType();
/*     */   }
/*     */   
/*     */   private void jButtonPickJrxmljButton1ActionPerformed121(ActionEvent evt) {
/* 485 */     ResourceChooser rc = new ResourceChooser();
/* 486 */     rc.setServer(getServer());
/* 487 */     if (rc.showDialog(this, null) == 0) {
/* 488 */       ResourceDescriptor rd = rc.getSelectedDescriptor();
/*     */       
/* 490 */       if (!com.jaspersoft.jasperserver.irplugin.gui.RepositoryExplorer.isDataSource(rd))
/*     */       {
/* 492 */         JOptionPane.showMessageDialog(MainFrame.getMainInstance(), IRPlugin.getString("newReportUnitWizard.selectDatasource", "Please choose a DataSource resource"), "", 2);
/*     */         
/*     */ 
/* 495 */         return;
/*     */       }
/*     */       
/* 498 */       if ((rd == null) || (rd.getUriString() == null)) {
/* 499 */         this.jComboBoxDatasources.setSelectedItem("");
/*     */       } else {
/* 501 */         this.jComboBoxDatasources.setSelectedItem(rd.getUriString());
/*     */       }
/* 503 */       if (this.wizardPanel != null) this.wizardPanel.updateButtons();
/*     */     }
/*     */   }
/*     */   
/*     */   private void jRadioButtonRepo1jRadioButtonRepoActionPerformed11(ActionEvent evt) {
/* 508 */     updateResourceFromType();
/*     */   }
/*     */   
/*     */   private void jButtonGetCurrentReportjButton1ActionPerformed11(ActionEvent evt)
/*     */   {
/* 513 */     Report report = MainFrame.getMainInstance().getActiveReportFrame().getReport();
/* 514 */     if (report.getFilename() == null) {
/* 515 */       if (JOptionPane.showConfirmDialog(this, IRPlugin.getString("newReportUnitWizard.saveReportNow", "Save the report now?")) == 0) {
/* 516 */         MainFrame.getMainInstance().save(MainFrame.getMainInstance().getActiveReportFrame());
/*     */       } else {
/* 518 */         return;
/*     */       }
/*     */     }
/* 521 */     this.jTextFieldFile.setText(report.getFilename());
/*     */   }
/*     */   
/*     */   private void jButtonBrowseActionPerformed1(ActionEvent evt) {
/* 525 */     String fileName = "";
/* 526 */     JFileChooser jfc = new JFileChooser(MainFrame.getMainInstance().getCurrentDirectory());
/*     */     
/* 528 */     jfc.setDialogTitle(IRPlugin.getString("newReportUnitWizard.pickAFile", "Pick a file..."));
/*     */     
/* 530 */     jfc.setFileFilter(new FileFilter() {
/*     */       public boolean accept(File file) {
/* 532 */         String filename = file.getName();
/* 533 */         return (filename.toLowerCase().endsWith(".xml")) || (file.isDirectory()) || (filename.toLowerCase().endsWith(".jrxml"));
/*     */       }
/*     */       
/* 536 */       public String getDescription() { return "JasperReports XML *.xml, *.jrxml";
/*     */       }
/*     */ 
/* 539 */     });
/* 540 */     jfc.setMultiSelectionEnabled(false);
/* 541 */     jfc.setDialogType(0);
/* 542 */     if (jfc.showOpenDialog(this) == 0)
/*     */     {
/* 544 */       this.jTextFieldFile.setText(jfc.getSelectedFile() + "");
/* 545 */       if (this.wizardPanel != null) this.wizardPanel.updateButtons();
/*     */     }
/*     */   }
/*     */   
/*     */   private void jRadioButtonLocal1jRadioButtonLocalActionPerformed1(ActionEvent evt) {
/* 550 */     updateJrxmlFromType();
/*     */   }
/*     */   
/*     */   private void jButtonPickJrxmljButton1ActionPerformed12(ActionEvent evt) {
/* 554 */     ResourceChooser rc = new ResourceChooser();
/* 555 */     rc.setServer(getServer());
/* 556 */     if (rc.showDialog(this, null) == 0) {
/* 557 */       ResourceDescriptor rd = rc.getSelectedDescriptor();
/*     */       
/* 559 */       if ((rd == null) || (rd.getUriString() == null)) {
/* 560 */         this.jTextFieldFileRepo.setText("");
/*     */       } else {
/* 562 */         if (!rd.getWsType().equals("jrxml")) {
/* 563 */           JOptionPane.showMessageDialog(MainFrame.getMainInstance(), IRPlugin.getString("newReportUnitWizard.chooseJRXML", "Please choose a JRXML resource"), "", 2);
/*     */           
/* 565 */           return;
/*     */         }
/* 567 */         this.jTextFieldFileRepo.setText(rd.getUriString());
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */   private void jRadioButtonRepo1jRadioButtonRepoActionPerformed1(ActionEvent evt)
/*     */   {
/* 574 */     updateJrxmlFromType();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   private JLabel jLabelUriString;
/*     */   
/*     */ 
/*     */   private JPanel jPanel0;
/*     */   
/*     */ 
/*     */   private JPanel jPanel1;
/*     */   
/*     */ 
/*     */   private JPanel jPanel2;
/*     */   
/*     */ 
/*     */   private JRadioButton jRadioButtonLocal;
/*     */   
/*     */ 
/*     */   private JRadioButton jRadioButtonLocal1;
/*     */   
/*     */   private JRadioButton jRadioButtonRepo;
/*     */   
/*     */   private JRadioButton jRadioButtonRepo1;
/*     */   
/*     */   private JScrollPane jScrollPane1;
/*     */   
/*     */   private JSeparator jSeparator2;
/*     */   
/*     */   private JTextField jTextFieldFile;
/*     */   
/*     */   private JTextField jTextFieldFileRepo;
/*     */   
/*     */   private JTextField jTextFieldLabel;
/*     */   
/*     */   private JTextField jTextFieldName;
/*     */   
/*     */   private JTextField jTextFieldUriString;
/*     */   
/*     */   private void jPanel0PropertyChange(PropertyChangeEvent evt) {}
/*     */   
/*     */ 
/*     */   public String[] getStepsNames()
/*     */   {
/* 619 */     String[] names = new String[3];
/* 620 */     names[0] = IRPlugin.getString("newReportUnitWizard.step.naming", "Naming");
/* 621 */     names[1] = IRPlugin.getString("newReportUnitWizard.step.jrxml", "Main JRXML");
/* 622 */     names[2] = IRPlugin.getString("newReportUnitWizard.step.datasource", "Locate Data Source");
/*     */     
/*     */ 
/*     */ 
/* 626 */     return names;
/*     */   }
/*     */   
/*     */   public String getStepDescription(int step)
/*     */   {
/* 631 */     if (step == 0) return IRPlugin.getString("newReportUnitWizard.stepdesc.naming", "Report name and label");
/* 632 */     if (step == 1) return IRPlugin.getString("newReportUnitWizard.stepdesc.jrxml", "The main JRXML source file");
/* 633 */     if (step == 2) return IRPlugin.getString("newReportUnitWizard.stepdesc.datasource", "Locate the datasource to use with this report");
/* 634 */     if (step == 3) return IRPlugin.getString("newReportUnitWizard.stepdesc.addinputcontrols", "Add input controls and other resources");
/* 635 */     if (step == 4) { return IRPlugin.getString("newReportUnitWizard.stepdesc.save", "Save");
/*     */     }
/* 637 */     return "";
/*     */   }
/*     */   
/*     */ 
/*     */   public void initWizard() {}
/*     */   
/*     */ 
/*     */   public void finish(int currentStep)
/*     */   {
/* 646 */     if (currentStep > 0)
/*     */     {
/* 648 */       ResourceDescriptor rd = new ResourceDescriptor();
/*     */       
/* 650 */       File resourceFile = null;
/*     */       
/* 652 */       rd.setWsType("reportUnit");
/* 653 */       rd.setDescription(this.jEditorPaneDescription.getText().trim());
/* 654 */       rd.setName(this.jTextFieldName.getText());
/* 655 */       String uri = getParentFolder();
/* 656 */       if (!uri.endsWith("/")) uri = uri + "/";
/* 657 */       uri = uri + this.jTextFieldName.getText();
/* 658 */       rd.setUriString(uri);
/* 659 */       rd.setLabel(this.jTextFieldLabel.getText().trim());
/* 660 */       rd.setParentFolder(getParentFolder());
/* 661 */       rd.setIsNew(true);
/*     */       
/*     */ 
/* 664 */       if (IRPlugin.getMainInstance().getBrandingProperties().getProperty("ireport.manage.datasources.enabled", "true").equals("true"))
/*     */       {
/*     */         ResourceDescriptor tmpDataSourceDescriptor;
/* 667 */         if (this.jRadioButtonRepo.isSelected())
/*     */         {
/* 669 */           ResourceDescriptor tmpDataSourceDescriptor = new ResourceDescriptor();
/* 670 */           tmpDataSourceDescriptor.setWsType("datasource");
/* 671 */           tmpDataSourceDescriptor.setReferenceUri(this.jComboBoxDatasources.getSelectedItem() + "");
/* 672 */           tmpDataSourceDescriptor.setIsReference(true);
/*     */         }
/*     */         else
/*     */         {
/* 676 */           if (this.dataSourceDescriptor == null)
/*     */           {
/* 678 */             JOptionPane.showMessageDialog(this, IRPlugin.getString("newReportUnitWizard.message.datasourceNotDefined", "The local datasource is not correctly defined.\nPress the button \"Edit local datasource\" to fix the problem."));
/*     */             
/*     */ 
/* 681 */             return;
/*     */           }
/* 683 */           tmpDataSourceDescriptor = this.dataSourceDescriptor;
/* 684 */           tmpDataSourceDescriptor.setIsReference(false);
/*     */         }
/*     */         
/* 687 */         rd.getChildren().add(tmpDataSourceDescriptor);
/*     */       }
/*     */       
/*     */ 
/*     */ 
/*     */ 
/* 693 */       ResourceDescriptor jrxmlDescriptor = new ResourceDescriptor();
/* 694 */       jrxmlDescriptor.setWsType("jrxml");
/*     */       
/* 696 */       if (this.jRadioButtonRepo1.isSelected())
/*     */       {
/* 698 */         jrxmlDescriptor.setIsNew(true);
/* 699 */         jrxmlDescriptor.setMainReport(true);
/* 700 */         jrxmlDescriptor.setIsReference(true);
/* 701 */         jrxmlDescriptor.setReferenceUri(this.jTextFieldFileRepo.getText());
/* 702 */         rd.getChildren().add(jrxmlDescriptor);
/*     */       }
/*     */       else
/*     */       {
/* 706 */         jrxmlDescriptor.setName(this.jTextFieldName.getText() + "_jrxml");
/* 707 */         jrxmlDescriptor.setLabel("Main jrxml");
/* 708 */         jrxmlDescriptor.setDescription("Main jrxml");
/* 709 */         jrxmlDescriptor.setIsNew(true);
/* 710 */         jrxmlDescriptor.setHasData(true);
/* 711 */         jrxmlDescriptor.setMainReport(true);
/* 712 */         resourceFile = new File(this.jTextFieldFile.getText());
/*     */         
/* 714 */         if (!resourceFile.exists()) {
/* 715 */           JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("newReportUnitWizard.message.fileNotFound", "{0}\n\nFile not found!", new Object[] { this.jTextFieldFile.getText() }));
/*     */           
/* 717 */           return;
/*     */         }
/* 719 */         rd.getChildren().add(jrxmlDescriptor);
/*     */       }
/*     */       try
/*     */       {
/* 723 */         this.newResourceDescriptor = getServer().getWSClient().addOrModifyResource(rd, resourceFile);
/*     */       }
/*     */       catch (Exception ex) {
/* 726 */         JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("messages.error.3", "Error:\n {0}", new Object[] { ex.getMessage() }));
/* 727 */         ex.printStackTrace();
/* 728 */         return;
/*     */       }
/*     */     }
/*     */     
/* 732 */     getWizardDialog().setVisible(false);
/* 733 */     getWizardDialog().dispose();
/*     */   }
/*     */   
/*     */   public boolean nextStep(int nextStep)
/*     */   {
/* 738 */     if (nextStep != 0)
/*     */     {
/*     */ 
/* 741 */       if (nextStep != 1)
/*     */       {
/*     */ 
/*     */ 
/* 745 */         if (nextStep != 2) {}
/*     */       }
/*     */     }
/*     */     
/* 749 */     return true;
/*     */   }
/*     */   
/*     */   public boolean previousStep(int previousStep) {
/* 753 */     return true;
/*     */   }
/*     */   
/*     */   public boolean canFinish(int currentStep) {
/* 757 */     if (currentStep < 2) return false;
/* 758 */     if (currentStep == 2)
/*     */     {
/* 760 */       if ((this.jRadioButtonRepo.isSelected()) && (this.jComboBoxDatasources.getSelectedItem() != null) && (this.jComboBoxDatasources.getSelectedItem().toString().trim().length() > 0))
/* 761 */         return true;
/* 762 */       if ((this.jRadioButtonLocal.isSelected()) && (this.dataSourceDescriptor != null)) return true;
/*     */     }
/* 764 */     return true;
/*     */   }
/*     */   
/*     */   public boolean canNext(int currentStep)
/*     */   {
/* 769 */     if (currentStep == 0)
/*     */     {
/* 771 */       if ((this.jTextFieldName.getText().trim().length() > 0) && (this.jTextFieldLabel.getText().trim().length() > 0))
/*     */       {
/* 773 */         return true;
/*     */       }
/* 775 */     } else if (currentStep == 1)
/*     */     {
/* 777 */       if ((this.jRadioButtonRepo1.isSelected()) && (this.jTextFieldFileRepo.getText().trim().length() > 0)) return true;
/* 778 */       if ((this.jRadioButtonLocal1.isSelected()) && (this.jTextFieldFile.getText().trim().length() > 0)) return true;
/*     */     }
/* 780 */     else if (currentStep == 2)
/*     */     {
/* 782 */       return false;
/*     */     }
/*     */     
/* 785 */     return false;
/*     */   }
/*     */   
/*     */   public boolean canPrevious(int currentStep) {
/* 789 */     return currentStep > 0;
/*     */   }
/*     */   
/*     */   public JPanel getStepPanel(int step) {
/* 793 */     if (step == 0) return this.jPanel0;
/* 794 */     if (step == 1) return this.jPanel1;
/* 795 */     if (step == 2) { return this.jPanel2;
/*     */     }
/* 797 */     return null;
/*     */   }
/*     */   
/*     */   public BaseWizardPanel getWizardPanel() {
/* 801 */     return this.wizardPanel;
/*     */   }
/*     */   
/*     */   public void setWizardPanel(BaseWizardPanel wizardPanel) {
/* 805 */     this.wizardPanel = wizardPanel;
/*     */   }
/*     */   
/*     */   public JDialog getWizardDialog() {
/* 809 */     return this.wizardDialog;
/*     */   }
/*     */   
/*     */   public void setWizardDialog(JDialog wizardDialog) {
/* 813 */     this.wizardDialog = wizardDialog;
/*     */   }
/*     */   
/*     */   public JServer getServer() {
/* 817 */     return this.server;
/*     */   }
/*     */   
/*     */   public void setServer(JServer server) {
/* 821 */     this.server = server;
/*     */   }
/*     */   
/*     */   public String getParentFolder() {
/* 825 */     return this.parentFolder;
/*     */   }
/*     */   
/*     */   public void setParentFolder(String parentFolder) {
/* 829 */     this.parentFolder = parentFolder;
/*     */   }
/*     */   
/*     */ 
/*     */   public void updateJrxmlFromType()
/*     */   {
/* 835 */     this.jTextFieldFileRepo.setEnabled(this.jRadioButtonRepo1.isSelected());
/* 836 */     this.jButtonPickJrxml.setEnabled(this.jRadioButtonRepo1.isSelected());
/* 837 */     this.jTextFieldFile.setEnabled(this.jRadioButtonLocal1.isSelected());
/* 838 */     this.jButtonBrowse.setEnabled(this.jRadioButtonLocal1.isSelected());
/* 839 */     this.jButtonGetCurrentReport.setEnabled(this.jRadioButtonLocal1.isSelected());
/*     */     
/* 841 */     if (this.wizardPanel != null) this.wizardPanel.updateButtons();
/*     */   }
/*     */   
/*     */   public void updateResourceFromType()
/*     */   {
/* 846 */     this.jComboBoxDatasources.setEnabled(this.jRadioButtonRepo.isSelected());
/* 847 */     this.jButtonPickResource.setEnabled(this.jRadioButtonRepo.isSelected());
/* 848 */     this.jButtonEditLocalDataSource.setEnabled(this.jRadioButtonLocal.isSelected());
/*     */     
/* 850 */     if (this.wizardPanel != null) { this.wizardPanel.updateButtons();
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public void setDatasources(List datasources)
/*     */   {
/* 858 */     this.jComboBoxDatasources.removeAllItems();
/* 859 */     for (int i = 0; i < datasources.size(); i++)
/*     */     {
/* 861 */       Object datasource = datasources.get(i);
/* 862 */       if ((datasource instanceof String))
/*     */       {
/* 864 */         this.jComboBoxDatasources.addItem(datasource);
/*     */       }
/* 866 */       else if ((datasource instanceof ResourceDescriptor))
/*     */       {
/* 868 */         this.jComboBoxDatasources.addItem(((ResourceDescriptor)datasource).getUriString());
/*     */       }
/*     */     }
/*     */     
/* 872 */     if (this.jComboBoxDatasources.getItemCount() > 0)
/*     */     {
/* 874 */       this.jComboBoxDatasources.setSelectedIndex(0);
/*     */     }
/*     */   }
/*     */   
/*     */   public ResourceDescriptor getNewResourceDescriptor() {
/* 879 */     return this.newResourceDescriptor;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\wizard\NewReportUnitWizard.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */