/*     */ package com.jaspersoft.jasperserver.ws.authority;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ import java.lang.reflect.Array;
/*     */ import java.util.Arrays;
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ import javax.xml.namespace.QName;
/*     */ import org.apache.axis.description.ElementDesc;
/*     */ import org.apache.axis.description.TypeDesc;
/*     */ import org.apache.axis.encoding.Deserializer;
/*     */ import org.apache.axis.encoding.Serializer;
/*     */ import org.apache.axis.encoding.ser.BeanDeserializer;
/*     */ import org.apache.axis.encoding.ser.BeanSerializer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @XmlRootElement(name="role")
/*     */ public class WSRole
/*     */   implements Serializable
/*     */ {
/*     */   private String roleName;
/*     */   private Boolean externallyDefined;
/*     */   private String tenantId;
/*     */   private WSUser[] users;
/*     */   
/*     */   public WSRole(String roleName, Boolean externallyDefined, String tenantId, WSUser[] users)
/*     */   {
/*  51 */     this.roleName = roleName;
/*  52 */     this.externallyDefined = externallyDefined;
/*  53 */     this.tenantId = tenantId;
/*  54 */     this.users = users;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getRoleName()
/*     */   {
/*  64 */     return this.roleName;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setRoleName(String roleName)
/*     */   {
/*  74 */     this.roleName = roleName;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Boolean getExternallyDefined()
/*     */   {
/*  84 */     return this.externallyDefined;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setExternallyDefined(Boolean externallyDefined)
/*     */   {
/*  94 */     this.externallyDefined = externallyDefined;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getTenantId()
/*     */   {
/* 104 */     return this.tenantId;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setTenantId(String tenantId)
/*     */   {
/* 114 */     this.tenantId = tenantId;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public WSUser[] getUsers()
/*     */   {
/* 124 */     return this.users;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setUsers(WSUser[] users)
/*     */   {
/* 134 */     this.users = users;
/*     */   }
/*     */   
/* 137 */   private Object __equalsCalc = null;
/*     */   
/* 139 */   public synchronized boolean equals(Object obj) { if (!(obj instanceof WSRole)) return false;
/* 140 */     WSRole other = (WSRole)obj;
/* 141 */     if (obj == null) return false;
/* 142 */     if (this == obj) return true;
/* 143 */     if (this.__equalsCalc != null) {
/* 144 */       return this.__equalsCalc == obj;
/*     */     }
/* 146 */     this.__equalsCalc = obj;
/*     */     
/* 148 */     boolean _equals = ((this.roleName == null) && (other.getRoleName() == null)) || ((this.roleName != null) && (this.roleName.equals(other.getRoleName())) && (((this.externallyDefined == null) && (other.getExternallyDefined() == null)) || ((this.externallyDefined != null) && (this.externallyDefined.equals(other.getExternallyDefined())) && (((this.tenantId == null) && (other.getTenantId() == null)) || ((this.tenantId != null) && (this.tenantId.equals(other.getTenantId())) && (((this.users == null) && (other.getUsers() == null)) || ((this.users != null) && (Arrays.equals(this.users, other.getUsers())))))))));
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 161 */     this.__equalsCalc = null;
/* 162 */     return _equals;
/*     */   }
/*     */   
/* 165 */   private boolean __hashCodeCalc = false;
/*     */   
/* 167 */   public synchronized int hashCode() { if (this.__hashCodeCalc) {
/* 168 */       return 0;
/*     */     }
/* 170 */     this.__hashCodeCalc = true;
/* 171 */     int _hashCode = 1;
/* 172 */     if (getRoleName() != null) {
/* 173 */       _hashCode += getRoleName().hashCode();
/*     */     }
/* 175 */     if (getExternallyDefined() != null) {
/* 176 */       _hashCode += getExternallyDefined().hashCode();
/*     */     }
/* 178 */     if (getTenantId() != null) {
/* 179 */       _hashCode += getTenantId().hashCode();
/*     */     }
/* 181 */     if (getUsers() != null) {
/* 182 */       for (int i = 0; 
/* 183 */           i < Array.getLength(getUsers()); 
/* 184 */           i++) {
/* 185 */         Object obj = Array.get(getUsers(), i);
/* 186 */         if ((obj != null) && (!obj.getClass().isArray()))
/*     */         {
/* 188 */           _hashCode += obj.hashCode();
/*     */         }
/*     */       }
/*     */     }
/* 192 */     this.__hashCodeCalc = false;
/* 193 */     return _hashCode;
/*     */   }
/*     */   
/*     */ 
/* 197 */   private static TypeDesc typeDesc = new TypeDesc(WSRole.class, true);
/*     */   
/*     */   static
/*     */   {
/* 201 */     typeDesc.setXmlType(new QName("http://www.jasperforge.org/jasperserver/ws", "WSRole"));
/* 202 */     ElementDesc elemField = new ElementDesc();
/* 203 */     elemField.setFieldName("roleName");
/* 204 */     elemField.setXmlName(new QName("", "roleName"));
/* 205 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/* 206 */     elemField.setNillable(false);
/* 207 */     typeDesc.addFieldDesc(elemField);
/* 208 */     elemField = new ElementDesc();
/* 209 */     elemField.setFieldName("externallyDefined");
/* 210 */     elemField.setXmlName(new QName("", "externallyDefined"));
/* 211 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "boolean"));
/* 212 */     elemField.setNillable(true);
/* 213 */     typeDesc.addFieldDesc(elemField);
/* 214 */     elemField = new ElementDesc();
/* 215 */     elemField.setFieldName("tenantId");
/* 216 */     elemField.setXmlName(new QName("", "tenantId"));
/* 217 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/* 218 */     elemField.setNillable(true);
/* 219 */     typeDesc.addFieldDesc(elemField);
/* 220 */     elemField = new ElementDesc();
/* 221 */     elemField.setFieldName("users");
/* 222 */     elemField.setXmlName(new QName("", "users"));
/* 223 */     elemField.setXmlType(new QName("http://www.jasperforge.org/jasperserver/ws", "WSUser"));
/* 224 */     elemField.setNillable(true);
/* 225 */     typeDesc.addFieldDesc(elemField);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public static TypeDesc getTypeDesc()
/*     */   {
/* 232 */     return typeDesc;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static Serializer getSerializer(String mechType, Class _javaType, QName _xmlType)
/*     */   {
/* 242 */     return new BeanSerializer(_javaType, _xmlType, typeDesc);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static Deserializer getDeserializer(String mechType, Class _javaType, QName _xmlType)
/*     */   {
/* 254 */     return new BeanDeserializer(_javaType, _xmlType, typeDesc);
/*     */   }
/*     */   
/*     */   public WSRole() {}
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-common-ws-6.0.jar!\com\jaspersoft\jasperserver\ws\authority\WSRole.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */