/*     */ package org.codehaus.jackson.map.introspect;
/*     */ 
/*     */ import java.lang.annotation.Annotation;
/*     */ import org.codehaus.jackson.map.AnnotationIntrospector;
/*     */ import org.codehaus.jackson.map.BeanProperty;
/*     */ import org.codehaus.jackson.map.JsonDeserializer;
/*     */ import org.codehaus.jackson.map.KeyDeserializer;
/*     */ import org.codehaus.jackson.map.annotate.JsonSerialize.Typing;
/*     */ import org.codehaus.jackson.type.JavaType;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class NopAnnotationIntrospector
/*     */   extends AnnotationIntrospector
/*     */ {
/*  25 */   public static final NopAnnotationIntrospector instance = new NopAnnotationIntrospector();
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isHandled(Annotation ann)
/*     */   {
/*  35 */     return false;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String findEnumValue(Enum<?> value)
/*     */   {
/*  46 */     return null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Boolean findCachability(AnnotatedClass ac)
/*     */   {
/*  57 */     return null;
/*     */   }
/*     */   
/*     */   public String findRootName(AnnotatedClass ac)
/*     */   {
/*  62 */     return null;
/*     */   }
/*     */   
/*     */   public String[] findPropertiesToIgnore(AnnotatedClass ac)
/*     */   {
/*  67 */     return null;
/*     */   }
/*     */   
/*     */   public Boolean findIgnoreUnknownProperties(AnnotatedClass ac)
/*     */   {
/*  72 */     return null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isIgnorableConstructor(AnnotatedConstructor c)
/*     */   {
/*  83 */     return false;
/*     */   }
/*     */   
/*     */   public boolean isIgnorableMethod(AnnotatedMethod m)
/*     */   {
/*  88 */     return false;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isIgnorableField(AnnotatedField f)
/*     */   {
/*  99 */     return false;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Object findSerializer(Annotated am, BeanProperty property)
/*     */   {
/* 110 */     return null;
/*     */   }
/*     */   
/*     */   public Class<?> findSerializationType(Annotated a)
/*     */   {
/* 115 */     return null;
/*     */   }
/*     */   
/*     */   public JsonSerialize.Typing findSerializationTyping(Annotated a)
/*     */   {
/* 120 */     return null;
/*     */   }
/*     */   
/*     */   public Class<?>[] findSerializationViews(Annotated a)
/*     */   {
/* 125 */     return null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String[] findSerializationPropertyOrder(AnnotatedClass ac)
/*     */   {
/* 136 */     return null;
/*     */   }
/*     */   
/*     */   public Boolean findSerializationSortAlphabetically(AnnotatedClass ac)
/*     */   {
/* 141 */     return null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String findGettablePropertyName(AnnotatedMethod am)
/*     */   {
/* 152 */     return null;
/*     */   }
/*     */   
/*     */   public boolean hasAsValueAnnotation(AnnotatedMethod am)
/*     */   {
/* 157 */     return false;
/*     */   }
/*     */   
/*     */   public String findDeserializablePropertyName(AnnotatedField af)
/*     */   {
/* 162 */     return null;
/*     */   }
/*     */   
/*     */   public Class<?> findDeserializationContentType(Annotated am, JavaType t, String propName)
/*     */   {
/* 167 */     return null;
/*     */   }
/*     */   
/*     */   public Class<?> findDeserializationKeyType(Annotated am, JavaType t, String propName)
/*     */   {
/* 172 */     return null;
/*     */   }
/*     */   
/*     */   public Class<?> findDeserializationType(Annotated am, JavaType t, String propName)
/*     */   {
/* 177 */     return null;
/*     */   }
/*     */   
/*     */   public Object findDeserializer(Annotated am, BeanProperty property) {
/* 181 */     return null;
/*     */   }
/*     */   
/* 184 */   public Class<KeyDeserializer> findKeyDeserializer(Annotated am) { return null; }
/*     */   
/*     */   public Class<JsonDeserializer<?>> findContentDeserializer(Annotated am) {
/* 187 */     return null;
/*     */   }
/*     */   
/*     */   public String findPropertyNameForParam(AnnotatedParameter param)
/*     */   {
/* 192 */     return null;
/*     */   }
/*     */   
/*     */   public String findSerializablePropertyName(AnnotatedField af)
/*     */   {
/* 197 */     return null;
/*     */   }
/*     */   
/*     */   public String findSettablePropertyName(AnnotatedMethod am)
/*     */   {
/* 202 */     return null;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\org\codehaus\jackson\map\introspect\NopAnnotationIntrospector.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */